## com.vividsolutions.jts.planargraph.algorithm
Class ConnectedSubgraphFinder

    java.lang.Object
      com.vividsolutions.jts.planargraph.algorithm.ConnectedSubgraphFinder

public class ConnectedSubgraphFinder
extends java.lang.Object

Finds all connected `Subgraph`s of a `PlanarGraph`.

Note: uses the `isVisited` flag on the nodes.

Constructor Summary
`ConnectedSubgraphFinder(PlanarGraph graph)`

Method Summary
`java.util.List` `getConnectedSubgraphs()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectedSubgraphFinder

    public ConnectedSubgraphFinder(PlanarGraph graph)

Method Detail

### getConnectedSubgraphs

    public java.util.List getConnectedSubgraphs()